curl -X POST https://transactional-graph.staging.fluzapp.com/api/v1/graphql \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <developer_access_token>" \
-d '{
"query": "mutation RegisterUser($firstName: String!, $lastName: String!, $phoneNumber: String!, $regionCode: String!, $emailAddress: String!, $dateOfBirth: String!, $billingAddress: VirtualCardBillingAddressInput!, $acceptCardholderAgreement: Boolean!) { registerUser(firstName: $firstName, lastName: $lastName, phoneNumber: $phoneNumber, regionCode: $regionCode, emailAddress: $emailAddress, dateOfBirth: $dateOfBirth, billingAddress: $billingAddress, acceptCardholderAgreement: $acceptCardholderAgreement) { success error { code message } } }",
"variables": {
"firstName": "Ada",
"lastName": "Lovelace",
"phoneNumber": "5555555555",
"regionCode": "US",
"emailAddress": "ada.lovelace@example.com",
"dateOfBirth": "1990-01-31",
"billingAddress": {
"streetAddressLine1": "1600 Amphitheatre Pkwy",
"city": "Mountain View",
"state": "CA",
"postalCode": "94043",
"country": "United States"
},
"acceptCardholderAgreement": true
}
}'